Remove a person from a space (staff)
POST /api/communities/{communityId}/spaces/{spaceId}/members/{orgUserId}/removal. Remove a person from a space (staff). Headless LMS Communities API reference.
Staff only (owner, admin, instructor). Revokes the placement, whether it is a membership, a request or an invitation. 409 when the space is open to all members or the placement is already revoked.
Path Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/communities/string/spaces/string/members/string/removal"{ "orgId": "string", "id": "string", "communityId": "string", "spaceId": "string", "orgUserId": "string", "status": "requested", "source": "request", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Decline a person's request to join a space (staff) POST
POST /api/communities/{communityId}/spaces/{spaceId}/members/{orgUserId}/decline. Decline a person's request to join a space (staff). Headless LMS Communities API reference.
The moderation queue of a space (staff) GET
GET /api/communities/{communityId}/spaces/{spaceId}/queue. The moderation queue of a space (staff). Headless LMS Communities API reference.